QGIS Application - Bug report #9937
Symbol outline width incorrect when set to 0
2014-03-28 01:10 PM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18441
Description

The standard point symbols have a black outline. The dialog displays an outline width of 0 but clearly and outline is still displayed.
Changing the outline size to 0.01 results in a much thinner line than when set to 0. The width of the outline when set to 0 resembles the
result of choosing 0.2. To completely remove the outline, the user has to select "no pen". | think setting to 0 should have the same effect as
"no pen".

Associated revisions

Revision 25ad0af8 - 2016-04-11 12:42 AM - Nyall Dawson

[symbology] Add explanatory text for O line widths (fix #9937)

History

#1 - 2014-03-28 01:48 PM - Nyall Dawson

Actually what is happening is that setting a zero-width outline is equivalent to a "hairline" width in most drawing programs. It means the outline is always
drawn so that it's 1 pixel wide, regardless of any zoom/resolution settings.

This is a pretty important feature to have, and I'd hate to see it dropped. It should be exposed to the user in a better way though. Any ideas?

#2 - 2014-03-28 02:22 PM - Anita Graser

| see. Then we should set a reasonable value for "hairline". Currently it's much too wide.

#3 - 2016-04-10 02:29 PM - R. R.

As for simple lines and borders (simple fill), the default width should be 0,26mm.

#4 - 2016-04-10 03:44 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"25ad0af86cb465a44214944b7a5169d8e55d94eb".
